﻿Imports Colour_Blocks.MainForm

Public Class ShopItem

    Public Property Image() As Bitmap

        Get
            Return imgItem.BackgroundImage
        End Get
        Set(ByVal value As Bitmap)
            imgItem.BackgroundImage = value

        End Set
    End Property

    Public Property Health() As Integer = 0

    Public Property Damage() As Integer = 0

    Public Property Defense() As Integer = 0

    Public Property Haste() As Integer = 0

    Public Property CriticalStrike() As Integer = 0

    Public Property Accuracy() As Integer = 0


    Enum Type As Integer
        Weapon
        Head
        Chest
        Legs
        Feet
        Ammo
        Consumable
    End Enum

    Public Property ItemType() As Type

    Public Property Rate() As Decimal = 0

    Public ReadOnly Property DPS() As Integer
        Get
            If Damage = 0 Or Rate = 0 Then
                Return 0
            Else
                Return Damage / Rate
            End If
        End Get
    End Property

    Public Property LevelRequired() As Integer = 1

    Public Property Coins() As Integer = 0

    Public Property Diamonds() As Integer = 0

    Public Property HealthToRestore() As Integer = 0

    Public Property Title() As String





    Private Sub ShopItem_MouseEnter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.MouseEnter, imgItem.MouseEnter
        Me.BackColor = Color.MediumTurquoise

    End Sub

    Private Sub ShopItem_MouseLeave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.MouseLeave, imgItem.MouseLeave
        Me.BackColor = Color.Cyan

    End Sub

    Private Sub ShopItem_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseDown, imgItem.MouseDown
        Me.BackColor = Color.Teal

    End Sub

    Private Sub ShopItem_MouseUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseUp, imgItem.MouseUp
        Me.BackColor = Color.Cyan

    End Sub



End Class
